Uninstall the current CP and deploy the previous version of CP

I have installed the CP2021.05.96 which is not supported by our ucmdb version 2019.11 

so i am trying to install CP2021.02.131 which is supported by 2019.11 using jmx method "install content pack" , but it does not 

allow to install the previous version of CP .

so should i remove the current CP from DB and then install the supported version, is that fine and wont affect the environment ?

Please can any one suggest how to install the previous version of CP ?